commit d4ff6d2a25234f7558baa99a54ca138c3f004b06
Author: Andrew Aitchison <exim@aitchison.me.uk>
Date:   Fri Mar 8 11:52:10 2024 +0000

    Silence some compiler warnings.  Bug 3076

diff --git a/src/src/routers/dnslookup.c b/src/src/routers/dnslookup.c
index 33382671f..80b12cba2 100644
--- a/src/src/routers/dnslookup.c
+++ b/src/src/routers/dnslookup.c
@@ -472,7 +472,7 @@ return rf_queue_add(addr, addr_local, addr_remote, rblock, pw)?
 }
 
 #endif	/*!MACRO_PREDEF*/
-#endif	/*ROUTER_DNSLOOKUP
+#endif	/*ROUTER_DNSLOOKUP*/
 /* End of routers/dnslookup.c */
 /* vi: aw ai sw=2
 */
diff --git a/src/src/tls-gnu.c b/src/src/tls-gnu.c
index 56ea93935..3e8ec6d84 100644
--- a/src/src/tls-gnu.c
+++ b/src/src/tls-gnu.c
@@ -1185,6 +1185,8 @@ tls_server_servercerts_cb(gnutls_session_t session, unsigned int htype,
 # ifdef notdef_crashes
 				/*XXX crashes */
 return gnutls_ext_raw_parse(NULL, tls_server_servercerts_ext, msg, 0);
+# else
+return GNUTLS_E_SUCCESS;
 # endif
 }
 #endif /*SUPPORT_GNUTLS_EXT_RAW_PARSE*/
@@ -1233,7 +1235,7 @@ switch (htype)
     return tls_server_ticket_cb(sess, htype, when, incoming, msg);
 # endif
   default:
-    return 0;
+    return GNUTLS_E_SUCCESS;
   }
 }
 #endif

